package w83a.w83aBeans;


import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import w83a.util.jdbc.W83aDataBase;
import w83a.w83aDAO.w83aConstantesBD.W83aBaseBeanBD;
import w83a.w83aDAO.w83aConstantesBD.W83aIncidenciasVistaBD;


/**
 * 
 * 
 * @author jroncal
 * 
 */
public class W83aNuevaIncidenciasBean extends W83aBaseBean implements W83aBaseBeanBD{
	private static final long	serialVersionUID	= 1L;

	String incidenciaTerritorio = "";
	String incidenciaAnyo = "";
	String incidenciaNumero = "";	
	String actaTerritorio = "";
	String actaAnyo = "";
	String actaNumero = "";
	String actaVersion = "";
	String actaParcialVersion = "";
	String actaTotalVersion = "";
	String actaAnyoParcial = "";
	String actaNumeroParcial = "";	
	String fecEntrada = "";
	String fecRegistro = "";	
	String fecValidacion = "";	
	String numRegistroES = "";	
	String tipoSolicitante = "";
	String tipoSolicitanteTxt = "";
	String dniSolicitante = "";
	String numSolicitante = "";
	String nombreSolicitante = "";	
	String observaciones = "";	
	String tipologiaIncidencia = "";
	String tipologiaIncidenciaTxt = "";	
	String motivoBaja = "";	
	String validada = "";		
	int numDelegadosHombresNuevos = 0;
	int numDelegadosMujeresNuevos = 0;	
	HashMap difDelegados = new HashMap();	
	W83aActasIncidenciaBean acta = new W83aActasIncidenciaBean();	
	List listaDelegados = new ArrayList();	
	List listaDiferenciasActa = new ArrayList();
	List listaDocumentosActa = new ArrayList();
	List listaEscrutinioActa = new ArrayList();
	List listaDelegadosActa = new ArrayList();
	List listaPapeletasActa = new ArrayList();	
	List listaHistorialTramitacionActa = new ArrayList();
	List listaImpugnacionesActa = new ArrayList();	
	List listaHistorialIncidencias= new ArrayList();
	List listaAuditoriaIncidencias= new ArrayList();	
	List listaDocs = new ArrayList();
	List listaDocsBorrados = new ArrayList();	
	List listaCambiosSubsanacion = new ArrayList();
	List listaHistorialTramitacion = new ArrayList();
	List listaHistorialAuditoria = new ArrayList();	
	String codSelec = "";	
	String tramite = "";
	String fase = "";	
	W83aActasBean actaOriginal = new W83aActasBean();
	W83aActasBean actaNueva = new W83aActasBean();	
	String actaTotal = "";
	String actaParcial = "";
	String validaciones = "";	
	
	String fechaBaja = "";	
	
	String numRegDef = "";	
	String fechaRegDef = "";
	
	W83aCentroTrabajoBean centroTrabajo = new W83aCentroTrabajoBean();
	
	
	
	
	
	public W83aNuevaIncidenciasBean(W83aNuevaIncidenciasBean incidencia) {
		super();
		this.incidenciaTerritorio = incidencia.incidenciaTerritorio;
		this.incidenciaAnyo = incidencia.incidenciaAnyo;
		this.incidenciaNumero = incidencia.incidenciaNumero;
		this.actaTerritorio = incidencia.actaTerritorio;
		this.actaAnyo = incidencia.actaAnyo;
		this.actaNumero = incidencia.actaNumero;
		this.actaVersion = incidencia.actaVersion;
		this.actaParcialVersion = incidencia.actaParcialVersion;
		this.actaTotalVersion = incidencia.actaTotalVersion;
		this.actaAnyoParcial = incidencia.actaAnyoParcial;
		this.actaNumeroParcial = incidencia.actaNumeroParcial;
		this.fecEntrada = incidencia.fecEntrada;
		this.fecRegistro = incidencia.fecRegistro;
		this.fecValidacion = incidencia.fecValidacion;
		this.numRegistroES = incidencia.numRegistroES;
		this.tipoSolicitante = incidencia.tipoSolicitante;
		this.tipoSolicitanteTxt = incidencia.tipoSolicitanteTxt;
		this.dniSolicitante = incidencia.dniSolicitante;
		this.numSolicitante = incidencia.numSolicitante;
		this.nombreSolicitante = incidencia.nombreSolicitante;
		this.observaciones = incidencia.observaciones;
		this.tipologiaIncidencia = incidencia.tipologiaIncidencia;
		this.tipologiaIncidenciaTxt = incidencia.tipologiaIncidenciaTxt;
		this.motivoBaja = incidencia.motivoBaja;
		this.validada = incidencia.validada;
		this.numDelegadosHombresNuevos = incidencia.numDelegadosHombresNuevos;
		this.numDelegadosMujeresNuevos = incidencia.numDelegadosMujeresNuevos;
		this.difDelegados = incidencia.difDelegados;
		this.acta = incidencia.acta;
		this.listaDelegados = incidencia.listaDelegados;
		this.listaDiferenciasActa = incidencia.listaDiferenciasActa;
		this.listaDocumentosActa = incidencia.listaDocumentosActa;
		this.listaEscrutinioActa = incidencia.listaEscrutinioActa;
		this.listaDelegadosActa = incidencia.listaDelegadosActa;
		this.listaPapeletasActa = incidencia.listaPapeletasActa;
		this.listaHistorialTramitacionActa = incidencia.listaHistorialTramitacionActa;
		this.listaImpugnacionesActa = incidencia.listaImpugnacionesActa;
		this.listaHistorialIncidencias = incidencia.listaHistorialIncidencias;
		this.listaAuditoriaIncidencias = incidencia.listaAuditoriaIncidencias;
		this.listaDocs = incidencia.listaDocs;
		this.listaDocsBorrados = incidencia.listaDocsBorrados;
		this.listaCambiosSubsanacion = incidencia.listaCambiosSubsanacion;
		this.listaHistorialTramitacion = incidencia.listaHistorialTramitacion;
		this.listaHistorialAuditoria = incidencia.listaHistorialAuditoria;
		this.codSelec = incidencia.codSelec;
		this.tramite = incidencia.tramite;
		this.fase = incidencia.fase;
		this.actaOriginal = incidencia.actaOriginal;
		this.actaNueva = incidencia.actaNueva;
		this.actaTotal = incidencia.actaTotal;
		this.actaParcial = incidencia.actaParcial;
		this.validaciones = incidencia.validaciones;
		this.fechaBaja = incidencia.fechaBaja;
		this.numRegDef = incidencia.numRegDef;
		this.fechaRegDef = incidencia.fechaRegDef;
		this.centroTrabajo = incidencia.centroTrabajo;
		this.idioma = incidencia.idioma;
	}

	public String getNumRegDef() {
		return numRegDef;
	}

	public void setNumRegDef(String numRegDef) {
		this.numRegDef = numRegDef;
	}

	public String getFechaRegDef() {
		return fechaRegDef;
	}

	public void setFechaRegDef(String fechaRegDef) {
		this.fechaRegDef = fechaRegDef;
	}

	public W83aCentroTrabajoBean getCentroTrabajo() {
		return centroTrabajo;
	}

	public void setCentroTrabajo(W83aCentroTrabajoBean centroTrabajo) {
		this.centroTrabajo = centroTrabajo;
	}

	public String getFechaBaja() {
		return fechaBaja;
	}

	public void setFechaBaja(String fechaBaja) {
		this.fechaBaja = fechaBaja;
	}

	public String getFecValidacion() {
		return fecValidacion;
	}

	public void setFecValidacion(String fecValidacion) {
		this.fecValidacion = fecValidacion;
	}

	public String getValidaciones() {
		return validaciones;
	}

	public void setValidaciones(String validaciones) {
		this.validaciones = validaciones;
	}

	public String getActaAnyoParcial() {
		return actaAnyoParcial;
	}

	public void setActaAnyoParcial(String actaAnyoParcial) {
		this.actaAnyoParcial = actaAnyoParcial;
	}

	public String getActaNumeroParcial() {
		return actaNumeroParcial;
	}

	public void setActaNumeroParcial(String actaNumeroParcial) {
		this.actaNumeroParcial = actaNumeroParcial;
	}

	public String getActaParcial() {
		return actaParcial;
	}

	public void setActaParcial(String actaParcial) {
		this.actaParcial = actaParcial;
	}

	public String getActaTotalVersion() {
		return actaTotalVersion;
	}

	public void setActaTotalVersion(String actaTotalVersion) {
		this.actaTotalVersion = actaTotalVersion;
	}

	public String getActaParcialVersion() {
		return actaParcialVersion;
	}

	public void setActaParcialVersion(String actaParcialVersion) {
		this.actaParcialVersion = actaParcialVersion;
	}

	public String getActaTotal() {
		return actaTotal;
	}

	public void setActaTotal(String actaTotal) {
		this.actaTotal = actaTotal;
	}

	public String getFecRegistro() {
		return fecRegistro;
	}

	public void setFecRegistro(String fecRegistro) {
		this.fecRegistro = fecRegistro;
	}

	public HashMap getDifDelegados() {
		return difDelegados;
	}

	public void setDifDelegados(HashMap difDelegados) {
		this.difDelegados = difDelegados;
	}

	public String getTipoSolicitanteTxt() {
		return tipoSolicitanteTxt;
	}

	public void setTipoSolicitanteTxt(String tipoSolicitanteTxt) {
		this.tipoSolicitanteTxt = tipoSolicitanteTxt;
	}

	public List getListaHistorialIncidencias() {
		return listaHistorialIncidencias;
	}

	public void setListaHistorialIncidencias(List listaHistorialIncidencias) {
		this.listaHistorialIncidencias = listaHistorialIncidencias;
	}

	public List getListaAuditoriaIncidencias() {
		return listaAuditoriaIncidencias;
	}

	public void setListaAuditoriaIncidencias(List listaAuditoriaIncidencias) {
		this.listaAuditoriaIncidencias = listaAuditoriaIncidencias;
	}

	public List getListaCambiosSubnacion() {
		return listaCambiosSubsanacion;
	}

	public void setListaCambiosSubnacion(List listaCambiosSubsanacion) {
		this.listaCambiosSubsanacion = listaCambiosSubsanacion;
	}

	public String getTipologiaIncidenciaTxt() {
		return tipologiaIncidenciaTxt;
	}

	public void setTipologiaIncidenciaTxt(String tipologiaIncidenciaTxt) {
		this.tipologiaIncidenciaTxt = tipologiaIncidenciaTxt;
	}

	public W83aActasBean getActaOriginal() {
		return actaOriginal;
	}

	public void setActaOriginal(W83aActasBean actaOriginal) {
		this.actaOriginal = actaOriginal;
	}

	public W83aActasBean getActaNueva() {
		return actaNueva;
	}

	public void setActaNueva(W83aActasBean actaNueva) {
		this.actaNueva = actaNueva;
	}

	public String getTramite() {
		return tramite;
	}

	public void setTramite(String tramite) {
		this.tramite = tramite;
	}

	public String getFase() {
		return fase;
	}

	public void setFase(String fase) {
		this.fase = fase;
	}

	public List getListaDocsBorrados() {
		return listaDocsBorrados;
	}

	public void setListaDocsBorrados(List listaDocsBorrados) {
		this.listaDocsBorrados = listaDocsBorrados;
	}

	public String getCodSelec() {
		return codSelec;
	}

	public void setCodSelec(String codSelec) {
		this.codSelec = codSelec;
	}

	public List getListaDocs() {
		return listaDocs;
	}

	public void setListaDocs(List listaDocs) {
		this.listaDocs = listaDocs;
	}

	public List getListaHistorialTramitacionActa() {
		return listaHistorialTramitacionActa;
	}

	public void setListaHistorialTramitacionActa(List listaHistorialTramitacionActa) {
		this.listaHistorialTramitacionActa = listaHistorialTramitacionActa;
	}

	public List getListaImpugnacionesActa() {
		return listaImpugnacionesActa;
	}

	public void setListaImpugnacionesActa(List listaImpugnacionesActa) {
		this.listaImpugnacionesActa = listaImpugnacionesActa;
	}

	public int getNumDelegadosHombresNuevos() {
		return numDelegadosHombresNuevos;
	}

	public void setNumDelegadosHombresNuevos(int numDelegadosHombresNuevos) {
		this.numDelegadosHombresNuevos = numDelegadosHombresNuevos;
	}

	public int getNumDelegadosMujeresNuevos() {
		return numDelegadosMujeresNuevos;
	}

	public void setNumDelegadosMujeresNuevos(int numDelegadosMujeresNuevos) {
		this.numDelegadosMujeresNuevos = numDelegadosMujeresNuevos;
	}

	public String getValidada() {
		return validada;
	}

	public void setValidada(String validada) {
		this.validada = validada;
	}

	public W83aActasIncidenciaBean getActa() {
		return acta;
	}

	public void setActa(W83aActasIncidenciaBean acta) {
		this.acta = acta;
	}

	public String getActaVersion() {
		return actaVersion;
	}

	public void setActaVersion(String actaVersion) {
		this.actaVersion = actaVersion;
	}

	public List getListaDelegados() {
		return listaDelegados;
	}

	public void setListaDelegados(List listaDelegados) {
		this.listaDelegados = listaDelegados;
	}

	public List getListaDiferenciasActa() {
		return listaDiferenciasActa;
	}

	public void setListaDiferenciasActa(List listaDiferenciasActa) {
		this.listaDiferenciasActa = listaDiferenciasActa;
	}

	public List getListaDocumentosActa() {
		return listaDocumentosActa;
	}

	public void setListaDocumentosActa(List listaDocumentosActa) {
		this.listaDocumentosActa = listaDocumentosActa;
	}

	public List getListaEscrutinioActa() {
		return listaEscrutinioActa;
	}

	public void setListaEscrutinioActa(List listaEscrutinioActa) {
		this.listaEscrutinioActa = listaEscrutinioActa;
	}

	public List getListaDelegadosActa() {
		return listaDelegadosActa;
	}

	public void setListaDelegadosActa(List listaDelegadosActa) {
		this.listaDelegadosActa = listaDelegadosActa;
	}

	public List getListaPapeletasActa() {
		return listaPapeletasActa;
	}

	public void setListaPapeletasActa(List listaPapeletasActa) {
		this.listaPapeletasActa = listaPapeletasActa;
	}

	public String getIncidenciaTerritorio() {
		return incidenciaTerritorio;
	}

	public void setIncidenciaTerritorio(String incidenciaTerritorio) {
		this.incidenciaTerritorio = incidenciaTerritorio;
	}

	public String getIncidenciaAnyo() {
		return incidenciaAnyo;
	}

	public void setIncidenciaAnyo(String incidenciaAnyo) {
		this.incidenciaAnyo = incidenciaAnyo;
	}

	public String getIncidenciaNumero() {
		return incidenciaNumero;
	}

	public void setIncidenciaNumero(String incidenciaNumero) {
		this.incidenciaNumero = incidenciaNumero;
	}

	public String getActaTerritorio() {
		return actaTerritorio;
	}

	public void setActaTerritorio(String actaTerritorio) {
		this.actaTerritorio = actaTerritorio;
	}

	public String getActaAnyo() {
		return actaAnyo;
	}

	public void setActaAnyo(String actaAnyo) {
		this.actaAnyo = actaAnyo;
	}

	public String getActaNumero() {
		return actaNumero;
	}

	public void setActaNumero(String actaNumero) {
		this.actaNumero = actaNumero;
	}

	public String getFecEntrada() {
		return fecEntrada;
	}

	public void setFecEntrada(String fecEntrada) {
		this.fecEntrada = fecEntrada;
	}

	public String getNumRegistroES() {
		return numRegistroES;
	}

	public void setNumRegistroES(String numRegistroES) {
		this.numRegistroES = numRegistroES;
	}

	public String getTipoSolicitante() {
		return tipoSolicitante;
	}

	public void setTipoSolicitante(String tipoSolicitante) {
		this.tipoSolicitante = tipoSolicitante;
	}

	public String getDniSolicitante() {
		return dniSolicitante;
	}

	public void setDniSolicitante(String dniSolicitante) {
		this.dniSolicitante = dniSolicitante;
	}

	public String getNumSolicitante() {
		return numSolicitante;
	}

	public void setNumSolicitante(String numSolicitante) {
		this.numSolicitante = numSolicitante;
	}

	public String getNombreSolicitante() {
		return nombreSolicitante;
	}

	public void setNombreSolicitante(String nombreSolicitante) {
		this.nombreSolicitante = nombreSolicitante;
	}

	public String getObservaciones() {
		return observaciones;
	}

	public void setObservaciones(String observaciones) {
		this.observaciones = observaciones;
	}
	
	public String getTipologiaIncidencia() {
		return tipologiaIncidencia;
	}

	public void setTipologiaIncidencia(String tipologiaIncidencia) {
		this.tipologiaIncidencia = tipologiaIncidencia;
	}	

	public String getMotivoBaja() {
		return motivoBaja;
	}

	public void setMotivoBaja(String motivoBaja) {
		this.motivoBaja = motivoBaja;
	}

	public boolean isActaNull(){
		if(null==actaTerritorio&&
				null==actaAnyo&&
				null==actaNumero){
			return true;
		}
		return false;
	}

	/**
	 * 
	 * El constructor de W83aIncidenciasBean.
	 */
	public W83aNuevaIncidenciasBean() {
		super();
	}

	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		// TODO Auto-generated method stub
		ResultSet rs = (ResultSet)o;//NOPMD
		
		this.fecEntrada = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.fentrada);
		this.fecRegistro = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.fregistro);
		this.fecValidacion = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.fvalidacion);
		this.actaNumero = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.nactacompleto);
		this.actaTerritorio = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.territorioincidencias);
		this.actaAnyo = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.anyoacta);
		this.actaNumeroParcial = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.NUMACTAPARSENCILLOCOMPLETO);
		this.actaAnyoParcial = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.ANYOACTASPARCIAL);
		this.actaVersion = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.versionActa);
		this.tipoSolicitante = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.tipsolicitante);
		this.tipoSolicitanteTxt = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.tipsolicitante_es);
		this.dniSolicitante = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.dnisolicitante);
		this.nombreSolicitante = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.nomsolicitante);
		this.tipologiaIncidencia = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.tipincidencia);
		this.tipologiaIncidenciaTxt = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.tipincidencia_es);			
		this.incidenciaTerritorio = this.actaTerritorio;	
		this.incidenciaAnyo = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.anyoincidencias);	
		this.incidenciaNumero = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.numincidenciasencillocompleto);		
		this.numRegistroES = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.numreg);
		this.observaciones = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.observaciones);
		this.validada = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.flagvalidada);				
		this.fechaBaja = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.fechaBaja);				
		
		this.numRegDef = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.numRegDef);				
		this.fechaRegDef = W83aDataBase.getStringFromRS(rs, W83aIncidenciasVistaBD.fechaRegDef);
		
		return this;
	}
}
